Subject: bug#57412: Could we make linum.el obsolete?

From: Dmitry Gutov <[email-masked]>
Date: Fri, 26 Aug 2022 13:49:55 +0300

On 26.08.2022 11:20, Colin Baxter wrote:
>>>>>> Stefan Kangas<[email-masked]>  writes:
>      > Severity: wishlist Is there any reason to keep linum.el around any
>      > longer, or could it be marked obsolete in favor of
>      > `display-line-numbers-mode'?
> 
>      > Given our obsoletion policy, it would still be around for another
>      > decade, which should give users plenty of time to adapt.
> 
> 
> Please do not obsolete this. I do not like display-line-numbers-mode,
> preferring line numbers in the margin. There must be other users
> similarly inclined.

Have you tried nlinum-mode from GNU ELPA? I hear it has better 
performance and apparently fewer bugs.

> I do not understand this need to obsolete packages that perform
> perfectly well. Emacs often has multiple ways of achieving the same
> outcome, which is surely a positive.

It's good to reduce the volume of code we have to support over time.

It would also help people land on a faster and better supported alternative.